import React from 'react';
import { useParams } from 'react-router-dom';
import { Detail } from '../../components/Detail';

type DetailPageParam = {
  id: string;
}

export const DetailPage = () => {
  const { id } = useParams<DetailPageParam>();
  return (
    <>
      <div>Detail ID: { id }</div>
      <Detail />
    </>
  )
}
