import { createReducer } from "redux-act";
import { InitUserAction } from "../actions/user.actions";
import { UserState } from "../store";

const initUserState: UserState = {
  name: '',
  age: -1,
  gender: -1,
  email: ''
}

export const UserReducer = createReducer({}, initUserState);

UserReducer.on(InitUserAction, (state: UserState, payload) => {
  console.log(payload);
  return {
    ...state,
    ...payload
  }
})
