import { createSelector } from "reselect";
import { ApplicationState, UserState } from "../store";

const getUserState = (state: ApplicationState): UserState=> {
  return state.user;
};

export const getUserName = createSelector(getUserState, (userState: UserState) => userState.name);
